#include "textures.inc"

global_settings { assumed_gamma 2.2 }

camera {
   location  <-2, 3, 5>
   direction <0, 0, 1>
   look_at   <0, 0, 0>
   angle 30
}

#declare f = function { pattern { density_file df3 "sponge_1.df3" interpolate 0 } }

#declare f2 = function { pattern { density_file df3 "sponge_2.df3" interpolate 0 } }

isosurface {
    function {f(x, y, z)}
    contained_by {box{-2, 2}}
    threshold 0.5
    max_gradient 2000
    accuracy 0.005
    open

    pigment { color red 1 green 1 blue 1 }
    finish { SilverFinish }	
    texture { Silver2 }
}

isosurface {
    function {f2(x, y, z)}
    contained_by {box{-2, 2}}
    threshold 0.5
    max_gradient 2000
    accuracy 0.005
    open

    translate <-1,0,0>

    pigment { color red 1 green 1 blue 1 }
    finish { SilverFinish  }	
    texture { Silver2 }
}

light_source { <10, 10, 10> color red 1 green 1 blue 1 }
light_source { <-10, 10, 10> color red 1 green 1 blue 1 }
light_source { <-10, 10, -10> color red 1 green 1 blue 1 }
light_source { <10, 10, -10> color red 1 green 1 blue 1 }
light_source { <-10, -10, 10> color red 1 green 1 blue 1 }
