#include "textures.inc"

global_settings { assumed_gamma 2.2 }

camera {
   location  <-2, 3, 5>
   direction <0, 0, 1>
   look_at   <0.5, 0.5, 0.5>
   angle 30
}

#declare f = function { pattern { density_file df3 "sponge.df3" interpolate 0 } }

isosurface {
    function {f(x, y, z)}
    contained_by {box{-2, 2}}
    threshold 0.5
    max_gradient 2000
    accuracy 0.005
    open

    pigment { color red 1 green 0.9 blue 0.9 }
    finish { SilverFinish }	
    texture { Silver2 }
}

/*
box { 0, 1
    pigment { color red 1 green 1 blue 1 }
}*/

box { <-0.8, -0.8, -0.01>, <0.8, 0.8, 0.01>
    pigment { color red 1 green 0 blue 0 }
    rotate <0,0,22.5>
    matrix <
    0.00000000,  0.70710678, -0.70710678,
    0.81649658, -0.40824829, -0.40824829,
    0.57735027,  0.57735027,  0.57735027,
    0.5, 0.5, 0.5
    >
}

/*light_source { <10, 10, 10> color red 1 green 1 blue 1 }
light_source { <-10, 10, 10> color red 1 green 1 blue 1 }
light_source { <-10, 10, -10> color red 1 green 1 blue 1 }
light_source { <10, 10, -10> color red 1 green 1 blue 1 }
light_source { <-10, -10, 10> color red 1 green 1 blue 1 }
*/

light_source { <0, 10, 0> color red 1 green 1 blue 1 }
light_source { <-10, 10, 0> color red 1 green 1 blue 1 }
light_source { <-10, 10, 10> color red 1 green 1 blue 1 }

/*light_source { <-10, 0, 0> color red 1 green 1 blue 1 }*/
